Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.addon.optimization.UnembeddedFontSettings Class Reference
Inheritance diagram for com.foxit.sdk.addon.optimization.UnembeddedFontSettings:

## Public Member Functions
| UnembeddedFontSettings ()
| Constructor.
| UnembeddedFontSettings (UnembeddedFontSettings other)
| Constructor, with another unembedded font settings object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...
void | setSubsetAllEmFonts (boolean is_subset_all_emb_fonts)
| Sets whether to include subsets of all unembedded fonts. More...
void | setUnembeddedFontNameArray (WStringArray font_name_array) throws com.foxit.sdk.PDFException
| Set a font name array to specify which fonts are to be unembeded. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Detailed Description

This class represents the settings for unembedded fonts. This class object can be set to class OptimizerSettings and then be used to optimize a PDF document.

See also
  OptimizerSettings

## Constructor & Destructor Documentation

## ◆ UnembeddedFontSettings()

com.foxit.sdk.addon.optimization.UnembeddedFontSettings.UnembeddedFontSettings | ( | UnembeddedFontSettings | other | ) |

Constructor, with another unembedded font settings object.

Parameters

  [in] | other | Another ImageSettings object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.optimization.UnembeddedFontSettings.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ isEmpty()

boolean com.foxit.sdk.addon.optimization.UnembeddedFontSettings.isEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ setSubsetAllEmFonts()

void com.foxit.sdk.addon.optimization.UnembeddedFontSettings.setSubsetAllEmFonts | ( | boolean | is_subset_all_emb_fonts | ) |

Sets whether to include subsets of all unembedded fonts.

Parameters

  [in] | is_subset_all_emb_fonts | true means to include subsets of all unembedded fonts. false means not to include subsets of all unembedded fonts.

Returns
  void.

## ◆ setUnembeddedFontNameArray()

void com.foxit.sdk.addon.optimization.UnembeddedFontSettings.setUnembeddedFontNameArray | ( | WStringArray | font_name_array | ) | throws com.foxit.sdk.PDFException

Set a font name array to specify which fonts are to be unembeded.

This function can be used to specify which fonts are to be unembedded. User can use function pdf.PDFDoc.getEmbeddedFontData to get the embedded font name arrays of a PDF document, then decide which embeded fonts are to be unembeded, and pass the unembeded font name array to current function.

Parameters

  [in] | font_name_array | A font name array to specify which fonts are to be unembeded.

Returns
  None.